Support » Plugin: Easy Modal » Modal Breaking Meta Slider

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author danieliser

    (@danieliser)

    Hey Dcaryll,

    It seems that your theme or another plugin is not properly enqueueing scripts. This is causing your site to load multiple versions of jquery. When this happens it can cause major issues especially when you consider the following example

    Load jQuery v1
    Load a plugin like easy modal
    Do some stuff with $()

    Load jQuery v2

    Try to execute easy modal at this point and it will fail as easy modal was loaded with jquery v1 and when jquery v2 comes into the picture it creates a new instance and all futher code will be run under that instance.

    You can picture an instance as a single container, nothing can communicate outside of its own container or with another container.

    Check your themes footer.php and header.php and be sure there are no lines including <script src=””>

    these need to be replaced with wp_enqueue_script() function in your theme functions.php file.

    dcaryll

    (@dcaryll)

    Thanks for your help!

    I figured out that it was Formstack using Javascript that was already present on the site and was creating errors. I had to use Formstack without including the Javascript and all is well.

    Thanks again!
    -Dan

    Plugin Author danieliser

    (@danieliser)

    Glad you got it working. Please take a moment to let others know, rate and review the plugin and or support here

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Modal Breaking Meta Slider’ is closed to new replies.